com.hazelcast.config

## Class MemberAddressProviderConfig

- java.lang.Object
- - com.hazelcast.config.MemberAddressProviderConfig

-     public final class MemberAddressProviderConfig
      extends Object

  Configuration for a custom `MemberAddressProvider` strategy.

  The member address provider allows you to plug your own strategy to customize:

  - What address Hazelcast will bind to
  - What address Hazelcast will advertise to other members on which they can bind to
  In most environments you don't need to customize this and the default strategy will work just fine. However in some cloud environments the default strategy does not make the right choice and the member address provider delegates the process of address picking to external code.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemberAddressProviderConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getClassName()`
    `MemberAddressProvider` | `getImplementation()`
    `Properties` | `getProperties()`
    `int` | `hashCode()`
    `boolean` | `isEnabled()`
    `MemberAddressProviderConfig` | `setClassName(String className)`
    `MemberAddressProviderConfig` | `setEnabled(boolean enabled)`
    `MemberAddressProviderConfig` | `setImplementation(MemberAddressProvider implementation)`
    `MemberAddressProviderConfig` | `setProperties(Properties properties)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MemberAddressProviderConfig

          public MemberAddressProviderConfig()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public MemberAddressProviderConfig setEnabled(boolean enabled)

    - #### getClassName

          public String getClassName()

    - #### setClassName

          public MemberAddressProviderConfig setClassName(String className)

    - #### getProperties

          public Properties getProperties()

    - #### setProperties

          public MemberAddressProviderConfig setProperties(Properties properties)

    - #### getImplementation

          public MemberAddressProvider getImplementation()

    - #### setImplementation

          public MemberAddressProviderConfig setImplementation(MemberAddressProvider implementation)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2020. All rights reserved.